#
# configuration data for remlist tools.
#
# $Id: remlist-conf.pl,v 1.8 2001/10/02 21:56:31 cm Exp $
#
package main;

$workdir = "/install/directory";

# extensions: type2 keys ".mix", capabilities ".cap", pgp keys ".pgp"
# type2.list entries .list
$remailerdir = "$workdir/remailers";
$maildir = "$workdir/mails";
$pingdir = "$workdir/pings";

# where to put stats output
$statsdir = "$workdir/stats";

# master list of
# short-name email@addr
# lines for all known remailers

$masterfile = "$workdir/master.txt";
# where do we expect responses for -key, -conf and pings?
$fromaddr = "pinger@example.com";
# operator's address, for mailed error messages
$operaddr = "you@example.com";

# DSN for the ping DB, username and passwd
$dsn = "DBI:mysql:database=remlist;host=dbhost";
$dbuser = "remlist";
$dbpass = "remlist";

# maximum age of data, in days
$maxage = 30;

# interval between sending of pings, in secs (be nice to your sendmail...)
$ping_intvl = 10;

$mail = "/usr/bin/mail";
$gpg = "/usr/bin/gpg";
$pgp2 = "/usr/local/bin/pgp";
$sendmail = "/usr/sbin/sendmail";
$diff = "/usr/bin/diff -bBq";
$devrandom = "/dev/urandom";
    # that's good enough, we just generate the ping token from it

# where's the mixmaster executable which uses the generated lists?
$mixmaster = "$workdir/mix";

# stats section
# remailer name in stats headings
$statsname = "NONE";

# what to sort by after reliability?
$statsort2 = "chain";		# sort reliability/chain
#$statsort2 = "lat";		# sort reliability/latency



#
# $Log: remlist-conf.pl,v $
# Revision 1.8  2001/10/02 21:56:31  cm
# package main -> 0.2
#
# Revision 1.7  2000/09/02 10:03:18  cm
# ping_intvl
#
# Revision 1.6  2000/08/10 22:06:31  cm
# ready for v0.0
#
# Revision 1.5  2000/08/07 18:38:57  cm
# stats options
#
# Revision 1.4  2000/08/07 17:15:40  cm
# statsort2
#
# Revision 1.3  2000/07/22 16:20:53  cm
# +pgp2
#
# Revision 1.2  2000/07/22 16:20:33  cm
# *** empty log message ***
#
# Revision 1.1  2000/07/09 15:41:54  cm
# Initial revision
#
#
